package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dto.PegawaiStrukturGajiByLTJaDto;

public interface PegawaiStrukturGajiByLTJaService {
	Map<String,Object> save(PegawaiStrukturGajiByLTJaDto vo);
	Map<String, Object> get(Integer pegawaiStrukturGajiByLTJaId);
	List<Map<String, Object>> getAll();
	List<Map<String, Object>> getAllJabatan();
	List<Map<String, Object>> getAllLevelTingkat();
	List<Map<String, Object>> getAllKomponenHarga();
	List<Map<String, Object>> getKomponenHargaByJenis(Integer idKomponenHarga);

}
